public class VideoHostingManager : SingletonMonoBehaviour<VideoHostingManager>
{
	private VideoHostingImplBase _impl;

	private void Start()
	{
		_impl = base.gameObject.AddComponent<VideoHostingImplNull>();
	}

	private void OnDestroy()
	{
	}

	public bool IsVideoHostingSupported()
	{
		return _impl.IsVideoHostingSupported();
	}

	public void StartRecording()
	{
		_impl.StartRecording();
	}

	public void StopRecording()
	{
		_impl.StopRecording();
	}

	public void PauseRecording()
	{
		_impl.PauseRecording();
	}

	public void ResumeRecording()
	{
		_impl.ResumeRecording();
	}

	public bool IsRecording()
	{
		return _impl.IsRecording();
	}

	public bool IsRecordingPause()
	{
		return _impl.IsRecordingPause();
	}

	public bool HasRecordedData()
	{
		return _impl.HasRecordedData();
	}

	public void UploadRecording()
	{
		_impl.UploadRecording();
	}

	public bool IsUploading()
	{
		return _impl.IsUploading();
	}

	public void WatchRecording()
	{
		_impl.WatchRecording();
	}

	public void StartPublishing()
	{
		_impl.StartPublishing();
	}

	public void StopPublishing()
	{
		_impl.StopPublishing();
	}

	public void PausePublishing()
	{
		_impl.PausePublishing();
	}

	public void ResumePublishing()
	{
		_impl.ResumePublishing();
	}

	public bool IsPublising()
	{
		return _impl.IsPublising();
	}

	public bool IsPublishingPause()
	{
		return _impl.IsPublishingPause();
	}

	public void SetPublishingReceiveCommentEnable(bool isEnable)
	{
		_impl.SetPublishingReceiveCommentEnable(isEnable);
	}

	public void ShowPublishingMenu()
	{
		_impl.ShowPublishingMenu();
	}

	public void SetRecordingFaceCameraMicrophoneStatus(bool isEnableCamera, bool isEnableMicrophone)
	{
		_impl.SetRecordingFaceCameraMicrophoneStatus(isEnableCamera, isEnableMicrophone);
	}

	public bool GetRecordingFaceCameraEnable()
	{
		return _impl.GetRecordingFaceCameraEnable();
	}

	public bool GetRecordingMicrophoneEnable()
	{
		return _impl.GetRecordingMicrophoneEnable();
	}

	public void SetRecordingMicrophoneGain(float gain)
	{
		_impl.SetRecordingMicrophoneGain(gain);
	}

	public float GetRecordingMicrophoneGain()
	{
		return _impl.GetRecordingMicrophoneGain();
	}

	public void SetPublishingFaceCameraMicrophoneStatus(bool isEnableCamera, bool isEnableMicrophone)
	{
		_impl.SetPublishingFaceCameraMicrophoneStatus(isEnableCamera, isEnableMicrophone);
	}

	public bool GetPublishingFaceCameraEnable()
	{
		return _impl.GetPublishingFaceCameraEnable();
	}

	public bool GetPublishingMicrophoneEnable()
	{
		return _impl.GetPublishingMicrophoneEnable();
	}

	public void SetPublishingMicrophoneGain(float gain)
	{
		_impl.SetPublishingMicrophoneGain(gain);
	}

	public float GetPublishingMicrophoneGain()
	{
		return _impl.GetPublishingMicrophoneGain();
	}

	public void SetFaceCameraWindowVisible(bool isVisible)
	{
		_impl.SetFaceCameraWindowVisible(isVisible);
	}

	public int GetFaceCameraWindowX()
	{
		return _impl.GetFaceCameraWindowX();
	}

	public void SetFaceCameraWindowX(int screenX)
	{
		_impl.SetFaceCameraWindowX(screenX);
	}

	public int GetFaceCameraWindowY()
	{
		return _impl.GetFaceCameraWindowY();
	}

	public void SetFaceCameraWindowY(int screenY)
	{
		_impl.SetFaceCameraWindowY(screenY);
	}

	public int GetFaceCameraWindowWidth()
	{
		return _impl.GetFaceCameraWindowWidth();
	}

	public void SetFaceCameraWindowWidth(int w)
	{
		_impl.SetFaceCameraWindowWidth(w);
	}

	public int GetFaceCameraWindowHeight()
	{
		return _impl.GetFaceCameraWindowHeight();
	}

	public void SetFaceCameraWindowHeight(int h)
	{
		_impl.SetFaceCameraWindowHeight(h);
	}
}
